# IpeFileStream Class Reference
[Ipe Base]

Stream writing into an open file. More...

Inherits IpeTellStream.

List of all members.

## Public Member Functions

- IpeFileStream (std::FILE *file)
- virtual void PutChar (char ch)
- virtual void PutString (IpeString s)
- virtual void PutCString (const char *s)
- virtual void PutRaw (const char *data, int size)
- virtual int Tell () const

## Detailed Description

Stream writing into an open file.

## Constructor & Destructor Documentation

IpeFileStream::IpeFileStream | ( | std::FILE * | file | ) |

| Constructor.

## Member Function Documentation

void IpeFileStream::PutChar | ( | char | ch | ) | `[virtual]`

| Output character. Implements IpeStream.

void IpeFileStream::PutString | ( | IpeString | s | ) | `[virtual]`

| Output string. Reimplemented from IpeStream.

void IpeFileStream::PutCString | ( | const char * | s | ) | `[virtual]`

| Output C string. Reimplemented from IpeStream.

void IpeFileStream::PutRaw | ( | const char * | data,
|  | int | size
| ) | `[virtual]`

| Output raw character data. Reimplemented from IpeStream.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp